OutErrSummaryJUnitResultFormatter (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junit, class: OutErrSummaryJUnitResultFormatter

# Class OutErrSummaryJUnitResultFormatter

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter
org.apache.tools.ant.taskdefs.optional.junit.OutErrSummaryJUnitResultFormatter

All Implemented Interfaces:
  `junit.framework.TestListener, JUnitResultFormatter, JUnitTaskMirror.JUnitResultFormatterMirror, JUnitTaskMirror.SummaryJUnitResultFormatterMirror`

public class OutErrSummaryJUnitResultFormatter extends SummaryJUnitResultFormatter
Used instead of SummaryJUnitResultFormatter in forked tests if withOutAndErr is requested.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutErrSummaryJUnitResultFormatter()`
  Empty

- ## Method Summary

  ### Methods inherited from class SummaryJUnitResultFormatter

  `addError, addFailure, addFailure, endTest, endTestSuite, setOutput, setSystemError, setSystemOutput, setWithOutAndErr, startTest, startTestSuite`
  Modifier and Type
  Method
  Description
  `void`
  `addError(junit.framework.Test test, Throwable t)`
  Empty
  `void`
  `addFailure(junit.framework.Test test, Throwable t)`
  Empty
  `void`
  `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)`
  Interface TestListener for JUnit > 3.4.
  `void`
  `endTest(junit.framework.Test test)`
  Empty
  `void`
  `endTestSuite(JUnitTest suite)`
  The whole testsuite ended.
  `void`
  `setOutput(OutputStream out)`
  Sets the stream the formatter is supposed to write its results to.
  `void`
  `setSystemError(String err)`
  This is what the test has written to System.err
  `void`
  `setSystemOutput(String out)`
  This is what the test has written to System.out
  `void`
  `setWithOutAndErr(boolean value)`
  Should the output to System.out and System.err be written to the summary.
  `void`
  `startTest(junit.framework.Test t)`
  Empty
  `void`
  `startTestSuite(JUnitTest suite)`
  The testsuite started.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutErrSummaryJUnitResultFormatter

    public OutErrSummaryJUnitResultFormatter()
    Empty